Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Database Class
Members See Also Send Feedback

A class representing a Berkeley DB database, a base class for access method specific classes.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public class Database : BaseDatabase, IDisposable

Visual Basic (Declaration)
    Public Class Database _
    	Inherits BaseDatabase _
    	Implements IDisposable

Visual C++
    public ref class Database : public BaseDatabase,
    	IDisposable

# Inheritance Hierarchy

System..::.Object
BerkeleyDB..::.BaseDatabase
BerkeleyDB..::.Database
BerkeleyDB..::.BTreeDatabase
BerkeleyDB..::.HashDatabase
BerkeleyDB..::.HeapDatabase
BerkeleyDB..::.QueueDatabase
BerkeleyDB..::.RecnoDatabase

# See Also

Database Members
BerkeleyDB Namespace